package com.yidian.common.http

import android.content.Context

interface IBaseView {
    object LifeEvent {
        const val CREATE = 0x01
        const val START = 0x02
        const val RESUME = 0x03
        const val PAUSE = 0x04
        const val STOP = 0x05
        const val DESTROY = 0x06
    }

    /**
     * 获取上下文对象
     *
     * @return
     */
    val context: Context

    /**
     * 显示进度条
     *
     * @param message 要显示的信息
     */
    fun showLoading(message: String?)

    /**
     * 显示进度条
     */
    fun showLoading()

    /**
     * 隐藏进度条
     */
    fun dismissLoading()
}